using System;
using System.Collections.Generic;

namespace ConsoleApplication2
{

    class Program
    {      
        static void Main(string[] args)
        {
            List<long> a = new List<long>();
            long max = 0;
            var s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int[] b = new int[n];
            int[] c = new int[n];

            for (int i = 0; i < n; i++)
                a.Add(long.Parse(Console.ReadLine()));
            for(int i=0;i<m;i++)
            {
                var s1 = Console.ReadLine().Split();
                int x = int.Parse(s1[0]);
                int y = int.Parse(s1[1]);
                if(a[x-1]<0 && a[y-1]<0)
                {
                    b[x - 1]--;
                    b[y - 1]--;
                }
                else if(a[x - 1] < 0 && Math.Abs(a[x - 1]) > Math.Abs(a[y - 1]))
                {
                    b[x - 1]--;
                    b[y - 1]--;
                }
                else if(a[y - 1] < 0 && Math.Abs(a[y - 1]) > Math.Abs(a[x - 1]))
                {
                    b[x - 1]--;
                    b[y - 1]--;
                }
                else
                {
                    b[x - 1]++;
                    b[y - 1]++;
                }
              
            }
            for(int i=0;i<n;i++)
            {
                max += a[i] * b[i];
            }
            Console.WriteLine(max);
        }
    }
}